<?php

/*
//(C) OXID-Design 2017
//
// The source contained in this file is the property of the OXID-Design
// (Leipziger Allee 36, 76139 Karlsruhe, Germany, www.oxid-design.com).
//
// GNU GENERAL PUBLIC LICENSE
//
//This program is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation;
//either version 3 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>
*/

class od_flow_law_contact extends od_flow_law_contact_parent
{
    protected $_sThisTemplate = 'od_flow_law_contact.tpl';

    public function send()
    {
        $config = oxRegistry::getConfig();
        $odMailReq = $config->getConfigParam('odMailReq');
        $aParams = oxRegistry::getConfig()->getRequestParameter('editval');
        parent::send();
        if (($odMailReq && !$aParams['odflowcontactmail'])) {
            oxRegistry::get("oxUtilsView")->addErrorToDisplay('ERROR_MESSAGE_INPUT_NOTALLFIELDS');
            return false;
        }
        if (oxRegistry::getUtils()->isValidEmail($aParams['oxuser__oxusername'])) {
            $sUser = oxNew('oxuser');
            $sMail = $aParams['oxuser__oxusername'];
            if ($sUser->checkIfEmailExists($sMail)) {
                $sId = $sUser->getIdByUserName($sMail);
                $sUser->load($sId);
            } else {
                $sUser->oxuser__oxactive = new oxField(1, oxField::T_RAW);
                $sUser->oxuser__oxrights = new oxField('user', oxField::T_RAW);
                $sUser->oxuser__oxusername = new oxField($aParams['oxuser__oxusername'], oxField::T_RAW);
                $sUser->oxuser__oxshopid = new oxField($this->getConfig()->getShopId(), oxField::T_RAW);
                $sUser->oxuser__oxfname = new oxField($aParams['oxuser__oxfname'], oxField::T_RAW);
                $sUser->oxuser__oxlname = new oxField($aParams['oxuser__oxlname'], oxField::T_RAW);
                $sUser->oxuser__oxsal = new oxField($aParams['oxuser__oxsal'], oxField::T_RAW);
            }
            $sUser->oxuser__odapprovmail = new oxField($aParams['odflowcontactmail']);
            $sUser->oxuser__odapprovphone = new oxField($aParams['odflowcontactphone']);
            $sUser->save();
        }
    }
}
