<?php

/*
//(C) OXID-Design 2017
//
// The source contained in this file is the property of the OXID-Design
// (Leipziger Allee 36, 76139 Karlsruhe, Germany, www.oxid-design.com).
//
// GNU GENERAL PUBLIC LICENSE
//
//This program is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation;
//either version 3 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>
*/

class od_flow_law_set extends od_flow_law_set_parent
{
    public static function addSQLfNotExists($sTableName, $sColumnName)
    {
        if (oxDb::getDb()->Execute("SHOW COLUMNS FROM {$sTableName} LIKE '{$sColumnName}'")->EOF) {
            return true;
        }
        return false;
    }

    public static function addLawForFlow()
    {
        $oConfig = oxRegistry::getConfig();
        $sSqlFile = $oConfig->getModulesDir() . 'OXID-Design/OD-FlowLaw/sql/od_flow_law.sql';
        if (self::addSQLfNotExists('oxuser', 'ODAPPROVMAIL')) {
            $sSql[] = "ALTER TABLE `oxuser` ADD COLUMN `ODAPPROVMAIL` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Approval processing E mail address', ADD COLUMN `ODAPPROVPHONE` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Approval processing Phone number';";
        }
        if (self::addSQLfNotExists('oxorder', 'ODAPPROVMAIL')) {
            $sSql[] = "ALTER TABLE `oxorder` ADD COLUMN `ODAPPROVMAIL` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Approval processing E mail address', ADD COLUMN `ODAPPROVPHONE` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Approval processing Phone number';";
        }
        $sSql[] = file_get_contents($sSqlFile);
        if ($sSql) {
            foreach ($sSql as $sVal) {
                oxDb::getDb()->execute($sVal);
                sleep(1);
            }
        }
    }

    public static function rmLawForFlow()
    {
        $sSql[] = "ALTER TABLE `oxuser` DROP `ODAPPROVMAIL`, DROP `ODAPPROVPHONE`;";
        $sSql[] = "ALTER TABLE `oxorder` DROP `ODAPPROVMAIL`, DROP `ODAPPROVPHONE`;";
        $sSql[] = "DELETE FROM `oxcontents` WHERE `OXID` IN ('odflowcontactmail','odflowcontactphone','odflowpaymentmail','odflowpaymentphone');";
        foreach ($sSql as $sVal) {
            oxDb::getDb()->execute($sVal);
            sleep(1);
        }
    }

    public static function onActivate()
    {
        self::addLawForFlow();
        self::odUpdateViews();
    }

    public static function onDeactivate()
    {
        //self::rmLawForFlow();
        self::odUpdateViews();
    }

    public static function odUpdateViews()
    {
        if (oxRegistry::get('oxSession')->getVariable("malladmin")) {
            $oMetaData = oxNew('oxDbMetaDataHandler');
            $oMetaData->updateViews();
        }
        $dir = oxRegistry::getConfig()->getConfigParam("sCompileDir") . "*";
        foreach (glob($dir) as $item) {
            if (!is_dir($item)) {
                unlink($item);
            }
        }
        oxRegistry::get("oxUtilsView")->getSmarty(true);
    }
}
