<?php
/*
//(C) OXID-Design 2017
//
// The source contained in this file is the property of the OXID-Design
// (Leipziger Allee 36, 76139 Karlsruhe, Germany, www.oxid-design.com).
//
// GNU GENERAL PUBLIC LICENSE
//
//This program is free software;
//you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation;
//either version 3 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
// You should have received a copy of the GNU General Public License along with this program; if not, see <http://www.gnu.org/licenses/>
*/
$sMetadataVersion = '1.0';
$aModule = array(
    'id' => 'OD-FlowLaw',
    'title' => '<img src=' . oxRegistry::getConfig()->getShopUrl() . 'modules/OXID-Design/OD-FlowLaw/out/img/favicon.ico alt="OXID-Design" title="OXID-Design Projects"> Flow-Theme Abmahnschutz',
    'type' => 'modules',
    'paid' => 'free',
    'description' => array(
        'de' => 'Flow-Theme Abmahnschutz',
        'en' => 'Flow-Theme protection',
    ),
    'thumbnail' => '/out/img/logo.png',
    'version' => '1.8',
    'author' => 'Rafig',
    'url' => 'https://www.oxid-design.com',
    'email' => 'support@oxid-design.com',
    'extend' => array(
        'contact' => 'OXID-Design/OD-FlowLaw/controllers/od_flow_law_contact',
        'payment' => 'OXID-Design/OD-FlowLaw/controllers/od_flow_law_payment',
        'order' => 'OXID-Design/OD-FlowLaw/controllers/od_flow_law_last',
        'oxorder' => 'OXID-Design/OD-FlowLaw/models/od_flow_law_order',
        'oxviewconfig' => 'OXID-Design/OD-FlowLaw/core/od_flow_law_set'
    ),
    'files' => array(),
    'templates' => array(
        'od_flow_law_contact.tpl' => 'OXID-Design/OD-FlowLaw/views/tpl/od_flow_law_contact.tpl',
        'od_flow_law_cform.tpl' => 'OXID-Design/OD-FlowLaw/views/tpl/od_flow_law_cform.tpl'
    ),
    'events' => array(
        'onActivate' => 'od_flow_law_set::onActivate',
        'onDeactivate' => 'od_flow_law_set::onDeactivate'
    ),
    'settings' => array(
        array(
            'group' => 'odFlowLaw',
            'name' => 'odShowAlarm',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLaw',
            'name' => 'odShowRecommend',
            'type' => 'bool',
            'value' => 'false'
        ),
        array(
            'group' => 'odFlowLawPayment',
            'name' => 'odShowPayment',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawPayment',
            'name' => 'odShowPMail',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawPayment',
            'name' => 'odShowPPhone',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawPayment',
            'name' => 'odPMailReq',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawPayment',
            'name' => 'odPPhoneReq',
            'type' => 'bool',
            'value' => 'false'
        ),
        array(
            'group' => 'odFlowLawPayment',
            'name' => 'odNextButton',
            'type' => 'select',
            'constrains' => 'hide|disable|none',
            'value' => 'hide'
        ),
        array(
            'group' => 'odFlowLawContact',
            'name' => 'odShowContact',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawContact',
            'name' => 'odShowCMail',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawContact',
            'name' => 'odShowCPhone',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawContact',
            'name' => 'odMailReq',
            'type' => 'bool',
            'value' => 'true'
        ),
        array(
            'group' => 'odFlowLawContact',
            'name' => 'odPhoneReq',
            'type' => 'bool',
            'value' => 'false'
        )
    ),
    'blocks' => array(
        array(
            'template' => 'page/checkout/payment.tpl',
            'block' => 'change_shipping',
            'file' => '/views/blocks/od_flow_law_payment.tpl'
        ),
        array(
            'template' => 'page/checkout/payment.tpl',
            'block' => 'checkout_payment_nextstep',
            'file' => '/views/blocks/od_flow_law_next.tpl'
        ),
        array(
            'template' => 'page/checkout/payment.tpl',
            'block' => 'checkout_payment_nopaymentsfound',
            'file' => '/views/blocks/od_flow_law_nopayment.tpl'
        ),
        array(
            'template' => 'page/details/inc/tabs.tpl',
            'block' => 'details_tabs_pricealarm',
            'file' => '/views/blocks/od_flow_law_tabs.tpl'
        ),
        array(
            'template' => 'page/checkout/order.tpl',
            'block' => 'checkout_order_remark',
            'file' => '/views/blocks/od_flow_law_order.tpl'
        ),
        array(
            'template' => 'order_overview.tpl',
            'block' => 'admin_order_overview_general',
            'file' => '/views/admin/blocks/od_flow_law_overview.tpl'
        ),
        array(
            'template' => 'user_main.tpl',
            'block' => 'admin_user_main_form',
            'file' => '/views/admin/blocks/od_flow_law_user.tpl'
        ),
        array(
            'template' => 'page/details/inc/productmain.tpl',
            'block' => 'details_productmain_productlinks',
            'file' => '/views/blocks/od_flow_law_details.tpl'
        )
    )
);
